Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.util
Class ReasonerUtil

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.util.ReasonerUtil

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable

    public class ReasonerUtil

extends Object
implements edu.stanford.smi.protege.util.Disposable

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jul 20, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`protected` | `ReasonerUtil()`

Method Summary
`void` | `dispose()`
`Collection<OWLDatatypeProperty>` | `getDataTypeProperties(OWLModel kb)`
`Collection` | `getIndividuals(OWLModel kb)`
`static ReasonerUtil` | `getInstance()`
`long` | `getLastClassificationTime()`
`Collection` | `getNamedClses(OWLModel kb)` Returns a collection of named classes.
`OWLNamedClass` | `getNamedReferent(OWLAnonymousClass cls)`
`Collection<OWLObjectProperty>` | `getObjectProperties(OWLModel kb)`
`Collection<RDFProperty>` | `getProperties(OWLModel kb)`
`Collection<SWRLImp>` | `getSWRLImps(OWLModel owlModel)`
`static void` | `handleOutOfMemory()`
`void` | `invalidateIndividualsCache(OWLModel kb)`
`void` | `invalidateNamedClsCache(OWLModel kb)`
`void` | `invalidatePropertiesCache(OWLModel kb)`
`void` | `setLastClassificationTime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReasonerUtil

    protected ReasonerUtil()

Method Detail

### getInstance

    public static ReasonerUtil getInstance()

### getNamedClses

    public Collection getNamedClses(OWLModel kb)

  Returns a collection of named classes. This collection is cached. If named classes are added or deleted, the cache is emptied an rebuilt.

  Parameters:
    `kb` - The knowledge base that contains the named classes

### getSWRLImps

    public Collection<SWRLImp> getSWRLImps(OWLModel owlModel)

### getProperties

    public Collection<RDFProperty> getProperties(OWLModel kb)

### getDataTypeProperties

    public Collection<OWLDatatypeProperty> getDataTypeProperties(OWLModel kb)

### getObjectProperties

    public Collection<OWLObjectProperty> getObjectProperties(OWLModel kb)

### getIndividuals

    public Collection getIndividuals(OWLModel kb)

### invalidateNamedClsCache

    public void invalidateNamedClsCache(OWLModel kb)

### invalidatePropertiesCache

    public void invalidatePropertiesCache(OWLModel kb)

### invalidateIndividualsCache

    public void invalidateIndividualsCache(OWLModel kb)

### getLastClassificationTime

    public long getLastClassificationTime()

### setLastClassificationTime

    public void setLastClassificationTime()

### getNamedReferent

    public OWLNamedClass getNamedReferent(OWLAnonymousClass cls)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### handleOutOfMemory

    public static void handleOutOfMemory()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.